import { BaseDataSeries } from "../BaseDataSeries";
import { EDataSeriesType } from "../IDataSeries";
import { HlcCustomFilter } from "./HlcCustomFilter";
import type { IHlcFilterOptions } from "./HlcFilterBase";
export interface IHlcScaleOffsetFilterOptions extends IHlcFilterOptions {
    scale?: number;
    offset?: number;
}
export declare class HlcScaleOffsetFilter extends HlcCustomFilter {
    private scaleProperty;
    private offsetProperty;
    get scale(): number;
    set scale(value: number);
    get offset(): number;
    set offset(value: number);
    constructor(originalSeries: BaseDataSeries, options?: IHlcScaleOffsetFilterOptions);
    toJSON(excludeData?: boolean): {
        options: IHlcScaleOffsetFilterOptions & {
            filter?: any;
        };
        type: EDataSeriesType;
    };
    protected defaultFunction(index: number, y: number): number;
}
